@import url('fonts/font-noto.css');
@import url('fonts/font-haas.css');

/* Local */

:root {
    --text-size: 16px;
    --ops-text: #101010;
    --ops-white: #FFFAF4;
    --ops-select: #f4ff79;
}

::selection {
    background-color: var(--ops-select);
}

html {
    background-color: #FFEDBE;
}

body {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    margin: 0;
    font-size: var(--text-size);
    background-color: #fffaf4 !important;
}

body.post-template-default {
    background: linear-gradient(180deg, #FFEDBE 0%, #FFFAF4 14.38%) !important;
}

body:has(#wrapper) {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#wrapper {
    width: calc(100% - 160px);
    max-width: 1200px;
    padding: 24px 80px;
    color: var(--ops-text);
}

#wrapper.article {
    width: calc(100% - 400px);
    padding: 24px 200px;
}

#wrapper.padding-160 {
    width: calc(100% - 320px);
    padding: 24px 160px;
}

/* Classes */

#embedPopup {
    position: fixed;
    top: 0;
    left: 0;
    width: calc(100% - 24px);
    height: 100%;
    z-index: 999;
    background-color: #000000aa;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 12px;
}

#embedPopup iframe {
    border: none;
    outline: none;
    width: 92vmin !important;
    height: 51.75vmin !important;
    border-radius: 8px;
}

button.chip {
    padding: 6px 14px;
    border: 1px solid var(--ops-text);
    width: fit-content;
    border-radius: 9999px;
    margin-top: 24px;
    margin-bottom: 8px;
    background-color: transparent;
    color: var(--ops-text);
    font-size: calc(var(--text-size) - (var(--text-size) / 4));
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: calc(24vw - 200px);
    pointer-events: none;
    user-select: none;
    display: none;
}

button.chip:hover {
    padding: 6px 14px;
    border: 1px solid;
    width: fit-content;
    border-radius: 9999px;
    margin-top: 24px;
    margin-bottom: 8px;
    color: var(--ops-white);
    border: 1px solid var(--ops-text);
    background-color: var(--ops-text);
}

button.seker-button {
    border: 2px solid var(--ops-white);
    margin-bottom: 40px;
}

button.seker-button:focus-visible {
    outline-offset: 4px;
    outline: 3px solid var(--ops-white);
}

.logo img {
    max-width: 200px;
}

.article p,
.article ul,
.article ol,
.article li {
    max-width: 55vw;
    line-height: 150%;
}

.article p.pre-warp {
    margin-top: -2em;
    margin-bottom: 1em;
}

.article p.real-m-40 {
    margin-top: 40px;
}

iframe.footer-frame {
    height: 84vh;
    position: relative;
    user-select: none;
}

#tools {
    position: relative;
}

#tools-menu,
#selected {
    border-radius: 20px;
    border: 1.5px solid var(--ops-text);
    width: 34ch;
    font-size: 1.5em;
    overflow: hidden;
    cursor: pointer;
    background-color: var(--ops-white);
}

#tools-menu {
    position: absolute;
    z-index: 9;
}

#selected {
    width: calc(34ch - 24px);
    padding: 12px;
    margin-bottom: 8px;
    background-repeat: no-repeat;
    background-position: 12px 50%;
    background-image: url(images/chev.svg);
}

#tools-menu .r-flex-start {
    width: 100%;
}

#tools-menu .r-flex-start label {
    width: 100%;
    padding: 12px;
    cursor: pointer;
}

#tools-menu input {
    display: none;
}

#tools-menu input:checked+label {
    color: var(--ops-white);
    background-color: var(--ops-text);
}

.inner-cards {
    width: 100%;
}

.tool-card {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    border-radius: 8px;
    border: 1px solid #000000;
    color: var(--ops-text);
    text-align: left;
    padding: 12px;
    cursor: pointer;
    width: calc(25% - 36px);
    min-height: 200px;
    /* aspect-ratio: 1.5 / 1; */
}

.cards {
    min-height: 200px;
}

.tool-card h3 {
    flex-grow: 1;
    font-size: 1.2em;
    margin-top: 0;
    direction: ltr;
    pointer-events: none;
}

.tool-card div {
    pointer-events: none;
}

.tool-card .no-link {
    font-size: 0.8em;
    position: relative;
    width: fit-content;
}

.tool-card .no-link::after {
    content: '';
    position: absolute;
    height: 14px;
    width: 14px;
    top: 6px;
    right: -20px;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url(images/link-hetz.svg);
}

.tool-card .no-link:hover {
    text-decoration: none;
}

.tool-card:hover,
.tool-card:focus,
.tool-card:focus-within {
    background-color: var(--ops-text);
    color: var(--ops-white);
}

.tool-card:hover .no-link::after,
.tool-card:focus .no-link::after,
.tool-card:focus-within .no-link::after {
    filter: invert(100%);
}

.articles-frame {
    width: 100%;
    height: 380px;
    border: none;
}


/* button.seker-button {
    position: relative;
    padding: 16px 32px;
    margin-bottom: 48px;
    border-radius: 9999px;
    isolation: isolate;
}

button.seker-button::before {
    content: '';
    position: absolute;
    width: 50%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #F4FF7A;
    z-index: -2;
    animation: rotateBorder 500ms ease-in-out infinite;
}

button.seker-button::after {
    content: '';
    position: absolute;
    width: calc(100% - 4px);
    height: calc(100% - 4px);
    top: 2px;
    left: 2px;
    background: inherit;
    border-radius: inherit;
    z-index: -1;
} */

@keyframes rotateBorder {
    0% {
        width: 50%;
        height: 100%;
        top: 0;
        left: 0;
    }

    15% {
        width: 100%;
        height: 50%;
        top: 0;
        left: 0;
    }

    40% {
        width: 50%;
        height: 100%;
        top: 0;
        left: 50%;
    }

    65% {
        width: 100%;
        height: 50%;
        top: 50%;
        left: 0;
    }

    100% {
        width: 50%;
        height: 100%;
        top: 0;
        left: 0;
    }
}

/* @keyframes gradSpin{
    0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
} */

.gray {
    color: #8C8C8C;
}

.avatar {
    border-radius: 9999px;
    width: 48px;
    height: 48px;
}

.icon-button {
    width: 40px;
    height: 40px;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.icon {
    width: 16px;
    height: 16px;
    padding: 0;
    background-image: var(--url);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.no-link .icon {
    filter: invert(100%);
}

.arrow {
    width: 32px;
    height: 32px;
    aspect-ratio: 1 / 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.arrow img {
    width: 14px;
    height: 14px;
}

.arrow:hover img {
    filter: invert(100%);
}

.arrow.disabled {
    pointer-events: none;
    opacity: .2;
}

.flipped {
    transform: scale(-1, 1);
}

.rotate-180 {
    transform: rotate(180deg);
}

.icon-72 {
    width: 72px;
    height: 72px;
    aspect-ratio: 1 / 1;
    background-color: #D9D9D9;
    border-radius: 8px;
}

.shorts-img {
    aspect-ratio: 16 / 9;
}

.input-wrapper {
    border: 1px solid var(--ops-text);
    border-radius: 9999px;
    width: fit-content;
    padding: 4px;
    position: relative;
}

.email-footer {
    position: absolute;
    top: 100%;
    right: 16px;
    margin: 0;
    margin-top: 8px;
}

.input-wrapper input {
    background-color: transparent;
    border: none;
    outline: none;
    margin: 0 12px;
}

.input-wrapper input:placeholder-shown+button {
    background-color: #a2a2a2;
    border-color: #a2a2a2;
    pointer-events: none;
}

.input-wrapper input::placeholder {
    color: var(--ops-text);
    font-family: 'Noto Sans Hebrew', sans-serif;
    font-weight: 600;
}

/* Utility */

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.darker-hr {
    background: #696969;
}

.no-link {
    color: inherit;
    text-decoration: none;
    position: relative;
    line-height: 200%;
}

.no-link:hover {
    text-decoration: underline;
    text-underline-offset: var(--text-size);
}

.article-link {
    color: var(--ops-text);
    text-underline-offset: 2px;
    text-decoration: underline;
}

.article-link:hover {
    color: #696969;
    text-underline-offset: 2px;
}

.card-link {
    color: var(--ops-text);
    text-decoration: none;
}

.card-link:hover {
    color: #696969;
    text-decoration: none;
}

.no-link:focus-visible {
    outline: none;
    text-decoration: underline;
    text-underline-offset: calc(var(--text-size) / 4);
}

.no-link.small:hover,
.no-link.small:active {
    text-underline-offset: 4px;
}

.c-flex-center {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.c-flex-start {
    display: flex;
    flex-direction: column;
}

.c-flex-end {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
}

.r-flex-center {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.r-flex-start {
    display: flex;
    flex-direction: row;
}

.r-flex-end {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
}

.flex-start {
    align-items: flex-start;
}

.reverse {
    flex-direction: row-reverse;
}

.ov-hidden {
    overflow: hidden;
}

.flex-just-start {
    justify-content: flex-start;
}

.flex-center {
    align-items: center;
}

.grow {
    flex-grow: 1;
}

.space-between {
    justify-content: space-between;
}

.wrap {
    flex-wrap: wrap;
}

.g-80 {
    gap: 80px;
}

.g-40 {
    gap: 40px;
}

.g-20 {
    gap: 20px;
}

.g-12 {
    gap: 12px;
}

.g-4 {
    gap: 4px;
}

.min-25 {
    min-width: calc(25% - 30px);
}

.max-50 {
    max-width: 50%;
}

.max-70 {
    max-width: 70%;
}

.max-30 {
    max-width: 30%;
}

.padding-tb-40 {
    padding-top: 40px;
    padding-bottom: 40px;
}

.padding-b-80 {
    padding-bottom: 80px;
}

.padding-b-140 {
    padding-bottom: 140px;
}

.margin-tb-0 {
    margin-top: 0;
    margin-bottom: 0;
}

.margin-t-0 {
    margin-top: 0;
}

.margin-b-0 {
    margin-bottom: 0;
}

.margin-tb-40 {
    margin-bottom: 80px;
    margin-top: 40px;
}

.margin-tb-16 {
    margin-top: 16px;
    margin-bottom: 16px;
}

.margin-tb-80 {
    margin-bottom: 80px;
    margin-top: 80px;
}

.margin-b-40 {
    margin-bottom: 40px;
}

.margin-b-80 {
    margin-bottom: 80px;
}

.margin-b-32 {
    margin-bottom: 24px;
}

.margin-b-12 {
    margin-bottom: 12px;
}

.margin-t-12 {
    margin-top: 12px;
}

.margin-t-40 {
    margin-top: 40px;
}

.pre-warp {
    white-space: pre-line;
}

.width-30 {
    width: 30%;
}

.width-50 {
    width: 50%;
}

.line-150 {
    line-height: 150%;
}

.full-width {
    width: 100%;
}

.max-third {
    width: calc(33% - 40px);
    max-width: 31%;
}

.radius-8 {
    border-radius: 8px;
}

.full-radius {
    border-radius: 9999px;
}

.right-div {
    top: 0;
    position: sticky;
}

.right-div::before {
    content: '';
    position: absolute;
    height: 100%;
    width: 1px;
    right: -24px;
    top: 0;
    background: #CECECE;
}

.no-link.small {
    min-width: 240px;
}

.soon {
    position: relative;
}

.soon::before {
    content: '';
    position: absolute;
    width: 66px;
    height: 30px;
    top: -1.5em;
    right: 0;
    border-radius: 9999px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    background-image: url(images/soon.png);
}

.hidden {
    display: none !important;
}

.line-105 {
    line-height: 105%;
}

/* Semantic */

hr {
    border: none;
    height: 1px;
    background: #A2A2A2;
    width: 100%;
}

h1 {
    font-size: 5em;
}

h2 {
    font-size: 1.8em;
    margin: 0;
    padding: 0;
}

h3 {
    font-size: 1.5em;
}

.font-3 {
    font-size: 3em;
}

.font-35 {
    font-size: 3.5em;
}

.font-4 {
    font-size: 4em;
}

.black {
    background-color: var(--ops-text);
    color: var(--ops-white);
    border-radius: 8px;
    user-select: none;
    padding-top: 16px;
    padding-bottom: 16px;
}

.black .g-4 {
    gap: 14px;
}

a:hover.black-link .black {
    opacity: 0.9;
}

ul,
ol {
    padding-right: 1em;
}

button {
    position: relative;
    padding: 20px 40px;
    border-radius: 999px;
    background-color: var(--ops-text);
    color: var(--ops-white);
    font-size: 1.2em;
    border: none;
    cursor: pointer;
    overflow: hidden;
    border: 1px solid var(--ops-text);
}

button:hover {
    background-color: var(--ops-white);
    color: var(--ops-text);
}

button:focus-visible {
    outline: 3px solid var(--ops-text);
    outline-offset: 1px;
}

button:hover .icon {
    filter: invert(100%);
}

footer {
    position: absolute;
    width: 100%;
    height: 300px;
    margin: 0;
    left: 0;
    bottom: 0;
    background: linear-gradient(0deg, #FFEDBE -10.75%, #FFFAF4 100%);
    mix-blend-mode: darken;
    pointer-events: none;
}

.mob-hidden {
    display: block;
}

.mob-show {
    display: none;
}

#articlesScroll {
    overflow: hidden;
}

.entry-content {
    font-family: 'Noto Sans Hebrew', sans-serif;
    font-weight: 400;
    min-height: 100vh;
}

.entry-content a {
    color: var(--ops-text);
    text-underline-offset: 2px;
    text-decoration: underline;
}

.entry-content h2 a {
    font-weight: bold;
    text-decoration: none;
}

.entry-title {
    display: none;
}

.entry-content h2 {
    font-family: 'Noto Sans Hebrew', sans-serif;
    font-weight: 400;
    font-size: 1.5em;
    margin: 0;
}

.entry-content ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.entry-content ul li {
    width: 33%;
}

.entry-content a:hover {
    color: #696969;
    text-underline-offset: 2px;
    text-decoration: underline;
}

.entry-content ul {
    list-style: none;
}

@media only screen and (max-width: 1100px) {
    .r-flex-tab {
        flex-direction: column;
    }

    .r-flex-tab .chip {
        max-width: unset;
        margin: 0;
    }
}

@media only screen and (max-width: 800px) {
    :root {
        --text-size: 10px;
    }

    #wrapper,
    #wrapper.article {
        padding: 24px;
        width: calc(100% - 48px);
    }

    .r-flex-start,
    .r-flex-end {
        flex-direction: column;
    }

    .r-flex-mob {
        flex-direction: row;
    }

    .logo img {
        max-width: 35vw;
    }

    h3 {
        font-size: 2em;
    }

    p {
        font-size: 1.5em;
    }

    ol,
    li,
    ul {
        font-size: 1.25em;
    }

    .article p,
    .article ol,
    .article ul,
    .article li {
        max-width: unset;
    }

    .font-12-mob {
        font-size: 1.25em;
    }

    /* .font-7-mob {
        font-size: 6vw;
    } */

    .max-50 {
        max-width: 80%;
    }

    .max-70,
    .max-100-mob {
        max-width: 100%;
    }

    .max-third {
        width: 100%;
        max-width: unset;
    }

    button.chip {
        font-size: 1.2em;
        max-width: unset;
    }

    .mob-1-line {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        max-width: 70vw;
    }

    .g-8-mob {
        gap: 8px;
    }

    .g-32-mob {
        gap: 32px;
    }

    .icon-72 {
        height: 48px;
        width: 48px;
    }

    .input-wrapper {
        flex-direction: row;
        width: calc(100% - 12px);
        position: relative;
    }

    .input-wrapper input {
        margin: 0 24px;
        flex-grow: 1;
    }

    .flex-start-mob {
        align-items: flex-start;
    }

    .black .r-flex-center {
        flex-direction: column;
    }

    .reverse {
        flex-direction: column-reverse;
    }

    .tool-card .reverse {
        flex-direction: row-reverse;
    }

    .mob-hidden {
        display: none;
    }

    .mob-show {
        display: block;
    }

    .avatar {
        width: 32px;
        height: 32px;
    }

    .tool-card {
        width: calc(100% - 24px);
    }

    .tool-card h3 {
        font-size: 2em;
    }

    .tool-card .no-link {
        font-size: 1.2em;
    }

    #selected {
        width: calc(100% - 24px) !important;
    }

    #tools-menu {
        width: 100% !important;
    }

    .article h2 {
        font-size: 2.5em;
    }

    .article h3.noto-regular.gray {
        font-size: 3em;
    }

    .article .width-50 {
        width: 100%;
    }

    .mob-margin-tb-20 {
        margin-bottom: 20px;
        margin-top: 20px;
    }

    button,
    a,
    input {
        -webkit-tap-highlight-color: transparent;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

    .arrow {
        display: none;
    }

    .black {
        padding-left: 12px;
        padding-right: 12px;
    }

    /* .entry-content h2 {
        font-size: 2em !important;
    } */

    .entry-content ul {
        display: flex;
        flex-direction: column;
        flex-wrap: unset;
    }

    .entry-content ul li {
        width: 100%;
    }

    .entry-content ul li p {
        font-size: 1em;
    }
}